InfoObjectTreeUtil
Date: 2013-06-24

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.contentmanagement.storagelayer.storagemanagementservice.impl.util
Class InfoObjectTreeUtil

    java.lang.Object
      org.gcube.contentmanagement.storagelayer.storagemanagementservice.impl.util.InfoObjectTreeUtil

    public class InfoObjectTreeUtil

extends java.lang.Object

Author:
  Federico De Faveri defaveri@isti.cnr.it

Constructor Summary
`InfoObjectTreeUtil()`

Method Summary
`static java.util.List<BasicReferenceDescription>` | `filterReferences(java.util.List<BasicReferenceDescription> references, java.util.List<TreeWalkRule> walkRules)` Filters the references retrieving the ones to walk on.
`static InfoObjectTree` | `getInfoObjectTree(java.lang.String oid, RawContentLocationConfig locationConfig, BasicStorageHints hints, java.util.List<TreeWalkRule> walkRules, int hops)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InfoObjectTreeUtil

    public InfoObjectTreeUtil()

Method Detail

### getInfoObjectTree

    public static InfoObjectTree getInfoObjectTree(java.lang.String oid,
                                                   RawContentLocationConfig locationConfig,
                                                   BasicStorageHints hints,
                                                   java.util.List<TreeWalkRule> walkRules,
                                                   int hops)
                                            throws StorageLayerException,
                                                   GCUBEUnrecoverableValueNotValidFault

  Throws:
    `StorageLayerException`
    `GCUBEUnrecoverableValueNotValidFault`

### filterReferences

    public static java.util.List<BasicReferenceDescription> filterReferences(java.util.List<BasicReferenceDescription> references,
                                                                             java.util.List<TreeWalkRule> walkRules)

  Filters the references retrieving the ones to walk on.

  Parameters:
    `references` - the reference list.
    `walkRules` - the walk rules.
  Returns:
    the reference to traverse.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD